> ## Documentation Index
> Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Duplicate contract

> Duplicate an existing contract.

When duplicating a contract, the placeholder structure is copied, but all placeholder values are cleared.

### Body parameters

<ParamField body="data" type="object" required>
  <Expandable title="child attribute">
    <ParamField body="action" type="string" required>
      Action type.
    </ParamField>

    <ParamField body="clientKey" type="string" required>
      Key of the client.
    </ParamField>

    <ParamField body="contract" type="object" required>
      Structure.

      <Expandable title="child attribute">
        <ParamField body="contractKey" type="string" required>
          Key of the contract that needs to be duplicated.
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

### Response

<ResponseField name="contract" type="string">
  Contract structure.

  <Expandable title="child attribute">
    <ResponseField name="createTime" type="string">
      Create time.
    </ResponseField>

    <ResponseField name="contractKey" type="string">
      ID of the duplicated contract.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="code" type="string">
  The code of the answer.
</ResponseField>

<ResponseField name="message" type="string">
  The message of the answer.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://api.sendforsign.com/api/contract' \
       -H 'X-Sendforsign-Key: YOUR_API_KEY' \
       -H 'Content-Type: application/json' \
       -d '{
      "data": {
          "action": "duplicate",
          "clientKey": "YOUR_CLIENT_KEY",
          "contract": {
              "contractKey": "YOUR_CONTRACT_KEY"
          }
      }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "contract": {
          "createTime": "2023-12-01 12:18:55",
          "contractKey": "NEW_CONTRACT_KEY"
      },
      "code": "201",
      "message": "Contract duplicated"
  }
  ```
</ResponseExample>
